<?php
/*
=====================================================
 Модуль создал: REZER (http://rezer.net)
=====================================================
 Файл: notepad.php
=====================================================
 Данный код защищен авторскими правами
=====================================================
 Назначение: управление закладками объявлений
=====================================================
*/

//-------------------------------------------------====
//	Инициализация
//-------------------------------------------------====

define( "ROOT_DIR", "../../.." );
define( "ENGINE_DIR", "../.." );

$OptAjax = array( "tpl" => true );
require_once( ENGINE_DIR."/ajax/board/OptAjax.php" );

//-------------------------------------------------====
//	Принятие и проверка входящих данных
//-------------------------------------------------====

$id = intval( $_REQUEST['id'] );
if( !$id ) echoReturn( "Приняты не все данные, попробуйте снова!" );
if( $Board->Config['echo_post_friendform'] != "yes" ) echoReturn( "Отправка писем другу через форму с сайта отключена!" );

//-------------------------------------------------====
//	Выполнение и вывод в зависимости от запроса
//-------------------------------------------------====

$result = $db->query( "SELECT `title`,`alt_name`,`author`,`category`,`email` FROM ".PREFIX."_board_post WHERE `id`='{$id}' AND `approve`='1'" );
if( $db->num_rows( $result ) > 0 )
	{
		$row = $db->get_row( $result );
		$title = stripslashes( $row['title'] );
		$alt_name = $row['alt_name'];
		$category = intval( $row['category'] );
		
		$linkBoard = "http://".$_SERVER['HTTP_HOST'].$Board->ReturnLinkPost( $id, $alt_name, $category );
		$userEmail = $is_logged ? $member_id['email'] : "";
		
		if( isset( $_POST['submit'] ) )
			{
				$comment = htmlspecialchars( stripslashes( CharsetConvert( $_POST['comment'] ) ) );
				$name = htmlspecialchars( stripslashes( CharsetConvert( $_POST['name'] ) ) );
				$nameFriend = htmlspecialchars( stripslashes( CharsetConvert( $_POST['friend_name'] ) ) );
				$email = CharsetConvert( $_POST['email'] );
				$emailFriend = CharsetConvert( $_POST['friend_email'] );
				
				if( !preg_match('/^([a-z0-9])(([-a-z0-9._])*([a-z0-9]))*\@([a-z0-9])'.'(([a-z0-9-])*([a-z0-9]))+' . '(\.([a-z0-9])([-a-z0-9_-])?([a-z0-9])+)+$/i', $email ) ) die( "<span style=\"color: #F00;\">Email адрес введён не верно!</span>" );
				if( !$name ) die( "<span style=\"color: #F00;\">Введите своё имя!</span>" );
				
				if( !preg_match('/^([a-z0-9])(([-a-z0-9._])*([a-z0-9]))*\@([a-z0-9])'.'(([a-z0-9-])*([a-z0-9]))+' . '(\.([a-z0-9])([-a-z0-9_-])?([a-z0-9])+)+$/i', $emailFriend ) ) die( "<span style=\"color: #F00;\">Email адрес друга введён не верно!</span>" );
				if( !$nameFriend ) die( "<span style=\"color: #F00;\">Введите имя друга!</span>" );
				
				echo "<script language=\"javascript\" type=\"text/javascript\">BoardReCaptcha( \"BoardSendEmailFriend_sec_code_{$id}\" );</script>";
				
				if( $_REQUEST['sec_code'] != $_SESSION['sec_code_session'] || !$_SESSION['sec_code_session'] ) die( "<span style=\"color: #F00;\">Введён не верный код безопастности!</span>" );
				
				$SendEmail = $Board->SendEmail( "send_friend", "Вам рекомендуют объявление", $email, $emailFriend, array(
					"user"			=> $nameFriend,
					"author"		=> $name,
					"title"			=> $title,
					"link"			=> $linkBoard,
					"email_author"	=> $email,
					"comment"		=> $comment,
				) );
				
				if( $SendEmail !== true ) die( "<span style=\"color: #F00;\">Ошибка отправки письма, обратитесь к администрации!</span>" );
				
				echo "<script language=\"javascript\" type=\"text/javascript\">$( \"#BoardSendEmailFriend_{$id}\" ).html( \"<div style=\\\"text-align: center; padding: 15px;\\\">Письмо успешно отправлено!<br /><br /><a href=\\\"javascript:void(0);\\\" onclick=\\\"$( '#BoardSendEmailFriend_{$id}' ).dialog( 'close' ); return false;\\\">Закрыть окно</a></div>\" );</script>";
			}
				else
			{
				$tpl->Load_Template( "board/modal/sendemail.friend.tpl" );
				
				$tpl->set( "{name}", ( $is_logged ? htmlspecialchars( stripslashes( trim( $member_id['fullname'] ) ) ) : "" ) );
				$tpl->set( "{email}", ( $is_logged ? htmlspecialchars( stripslashes( trim( $member_id['email'] ) ) ) : "" ) );
				$tpl->set( "{statusSend}", "statusBoardSendEmailFriend_{$id}" );
				
				$tpl->set( "{captcha}", "<span id=\"BoardSendEmailFriend_sec_code_{$id}\"><img src=\"/engine/modules/antibot.php\" border=\"0\" width=\"120\" height=\"50\" onclick=\"BoardReCaptcha( 'BoardSendEmailFriend_sec_code_{$id}' ); return false;\" style=\"cursor: pointer;\" /></span>" );
				
				$tpl->copy_template = "
					<form method=\"post\" action=\"\" name=\"BoardSendEmailFriend_{$id}\" onsubmit=\"BoardformSubmit( 'BoardSendEmailFriend_{$id}', 'send.email.friend.php', 'statusBoardSendEmailFriend_{$id}', 'arrow-ajax.gif', 'statusBoardSendEmailFriend_{$id}' ); return false;\">
						{$tpl->copy_template}
						<input type=\"hidden\" name=\"id\" value=\"{$id}\" />
					</form>
				";
				$tpl->compile( "board" );
				$tpl->clear();
				
				echo $tpl->result['board'];
			}
	}
		else
	{
		echo "Объявление не найдено!";	
	}

//-------------------------------------------------====
//	Завершение работы
//-------------------------------------------------====

$db->close();

?>